<?php
include_once "include/util.inc";
include_once "include/Authenticator.inc";
include_once "models/Validator.inc";
include_once "models/Todo.inc";
include_once "include/UploadDir.inc";

function post_add($params) {
    Authenticator::instance() -> ensure('edit_todo');

    $todoId = safeParam($_REQUEST, 'todoId', false);
    $todo = Todo::findById($todoId);
    if (!$todo) {
        die("No todo with that ID found");
    }
    $dir = new UploadDir();
    $file = $dir -> getUpload('file');
    $file -> setTodoId($todo -> getId());

    $validator = $file -> validate();

    if ($validator -> hasErrors()) {
        die("Problem with file upload");
    }
    $file -> insert();
    redirectRelative("todo/view/{$todo->getId()}");
}

function get_download($params) {
    Authenticator::instance() -> ensure('view_todo');
    $fileId = safeParam($params, 0);
    $file = File::findById($fileId);
    header('Content-Description: File Transfer');
    header('Content-Type: ' . $file -> getType());
    header('Content-Disposition: attachment; filename=' . $file -> getOrigName());
    header('Content-Transfer-Encoding: binary');
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    header('Content-Length: ' . $file -> getSize());
    ob_clean();
    flush();
    readfile($file -> fullPath());
    exit ;
}

function get_view($params) {
    Authenticator::instance() -> ensure('view_todo');
    $fileId = safeParam($params, 0);
    $file = File::findById($fileId);
    header('Last-Modified: ' . date('r'));
    header('Accept-Ranges: bytes');
    header('Content-Length: ' . $file -> getSize());
    header('Content-Type: ' . $file -> getType());
    header('Content-Disposition: inline; filename=' . $file -> getOrigName());
    ob_clean();
    flush();
    readfile($file -> fullPath());
    exit ;
}

function get_delete($params) {
    Authenticator::instance() -> ensure('edit_todo');
    $fileId = safeParam($params, 0);
    $todoId = safeParam($params, 1);
    $file = File::findById($fileId);
    $file -> delete();
    redirectRelative("todo/view/$todoId");
}
?>