<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
    <head>
        <title><?php echo($title);?></title>
        <link rel="stylesheet" href="/TodoUploads/static/style.css" />
    </head>
    <body>
        <div class="content">
<?php 
  include_once 'include/util.inc';
  include_once 'include/Authenticator.inc';
  include_once 'models/User.inc';
?>

<ul id="navigation">
<?php  if (isLoggedIn()) : ?>
  <li class="left">Welcome, <?php echo(User::findById($_SESSION['userid'])->getFullName());?></li>
  <li class="right"><a href="/TodoUploads/logout">Log out</a></li>
  <?php  if (Authenticator::instance()->can('admin_page')) : ?>
    <li class="right"><a href="/TodoUploads/admin">Admin</a></p>
  <?php  endif; ?>
  <li class="right"><a href="/TodoUploads/user/view/<?php echo($_SESSION['userid']);?>">My profile</a></li>
<?php  else : ?>
  <li class="right"><a href="/TodoUploads/login">Log in</a></li>
  <li class="right"><a href="/TodoUploads/user/register">Register</a></li>
<?php  endif; ?>
  <li class="right"><a href="/TodoUploads/index">Home</a></li>
</ul>

<h1><?php echo($title);?></h1>
<div class='display'>
    <label>Description:</label>
    <div class='value'><?php echo($todo->getDescription());?></div>
    <label>Done?:</label>
    <div class='value'><?php echo($todo->getDone() ? 'yes' : 'no');?></div>
    <?php  if ($files) : ?>
    <label>Attachments:</label>
    <div class='value'>&nbsp;
        <ul>
        <?php  foreach ($files as $file) : ?>
        <li><a href="/TodoUploads/file/download/<?php echo($file->getId());?>">[download]</a> <a href="/TodoUploads/file/delete/<?php echo($file->getId());?>/<?php echo($todo->getId());?>">[delete]</a> <a href="/TodoUploads/file/view/<?php echo($file->getId());?>">[view]</a> <?php echo( $file->getOrigName() );?></li>
        <?php  endforeach; ?>
        </ol>
    </div>
    <?php  endif; ?>
</div>
<div class='inputs'>
    <form action="/TodoUploads/file/add" method="post" enctype="multipart/form-data">
        <input type="hidden" id="todoId" name="todoId" value="<?php echo($todo->getId());?>" />
        <label for="file">Add a file:</label>
        <input type="file" id="file" name="file" /><br />
        <input type="submit" value="Upload" />
    </form>
</div>

<p><a href="/TodoUploads/index"><< Back</a></p>
        <div class="footer">
            Copyright &copy; 2012 Todd Whittaker
        </div>
<?php 
//debug(print_r($_SESSION, true));
//$inSession = session_id();
//debug($inSession);
?>

        </div><!-- content div -->
    </body>
</html>
